Skip to content

Get trade history

GET
/v1/public/{currencyPair}/trades

Get the trade history for a given currency pair. Please note: This is not an authenticated call. More constrained rate-limiting rules will apply than when you use /marketdata/:currencyPair/tradehistory route. The results of this request may be filtered by datetime. The skip and limit parameters may be applied to paginate the filtered results. The startTime or endTime parameters may be used to filter the returned items by the trade date. The parameters will be interpreted as being in the UTC time zone and must be supplied in the ISO 8601 format (2020-02-29T22:00:00.000Z). These two parameters may be used together or separately. When startTime is used, trades that have occurred since startTime are returned. When endTime is used, trades that have occurred up to and including endTime are returned. Trade history may be paginated by supplying a trade ID in the beforeId parameter. Only trades which occurred before the given ID will be included in the result. This allows backwards traversal of trade history by increments of limit.

Parameters

Path Parameters

currencyPair*

Specify the currency pair for which you want to query the trade history

Type
string
Required

Query Parameters

skip

Skip this number of results. Default: 0

Type
integer
Format
"int32"
limit

Limit the results to this number. Default and Max: 100

Type
integer
Format
"int32"
startTime

Include only trades after this ISO 8601 start time (e.g. 2020-02-29T22:00:00.000Z)

Type
string
endTime

Include only trades before this ISO 8601 end time (e.g. 2020-02-29T22:00:00.000Z)

Type
string
beforeId

Only include trades before this trade ID. Use for backwards pagination.

Type
string

Responses

Trade history retrieved successfully

application/json
JSON
[
{
"price": "93129",
"quantity": "0.00119363",
"currencyPair": "BTCUSDT",
"tradedAt": "2025-07-15T12:19:21.501Z",
"takerSide": "buy",
"sequenceId": 1368928567986638800,
"id": "01980e06-771d-73f1-aec8-b2fe69d943f1",
"quoteVolume": "111.16156827"
},
{
"price": "93129",
"quantity": "0.0004428",
"currencyPair": "BTCUSDT",
"tradedAt": "2025-07-14T05:22:52.344Z",
"takerSide": "buy",
"sequenceId": 1368928567986638800,
"id": "01980762-cd38-719d-b7ea-d75c1872719d",
"quoteVolume": "41.2375212"
}
]

Playground

Variables
Key
Value

Samples